Name:		libcddb
Version:	1.3.2
Release:	8%{?dist}

Summary:	Library (C API) for accessing CDDB servers
License:	LGPLv2+
Group:		System Environment/Libraries
URL:		http://libcddb.sourceforge.net/
Source0:	http://downloads.sourceforge.net/libcddb/%{name}-%{version}.tar.bz2
Patch0:		libcddb-1.3.0-multilib.patch
Patch1:		libcddb-1.3.2-rhbz770611.patch
BuildRequires:	pkgconfig, libcdio-devel >= 0.67


%description
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (e.g http://freedb.org/).


%package devel
Summary:	Development files for libcddb
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}


%description devel
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (e.g http://freedb.org/).
This package contains development files (static libraries, headers)
for libcddb.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
iconv -f ISO_8859-1 -t UTF-8 THANKS > THANKS.tmp
touch -r THANKS THANKS.tmp
mv THANKS.tmp THANKS
iconv -f ISO_8859-1 -t UTF-8 ChangeLog > ChangeLog.tmp
touch -r ChangeLog ChangeLog.tmp
mv ChangeLog.tmp ChangeLog


%build
%configure --enable-static
# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make


%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}"


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING NEWS README THANKS ChangeLog TODO
%{_libdir}/libcddb.so.*
%{_bindir}/cddb_query


%files devel
%defattr(-,root,root,0755)
%{_libdir}/libcddb.so
%{_libdir}/libcddb.a
%{_libdir}/libcddb.la
%{_includedir}/cddb
%{_libdir}/pkgconfig/libcddb.pc


%changelog
* Wed Feb 22 2012 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 1.3.2-8
- package imported from Fedora
- cleaned up spec-file

